<?php
/*
* 40° fdporfolio
*
* @version     $Id$ 1.0.4
* @package     Joomla 1.6
* @copyright   Copyright (C) 2011  Lars Eggert / forty-degrees.com. All rights reserved.
* @license  GNU/GPL v3
*
*/
$server = $_SERVER['DOCUMENT_ROOT'];
define( '_JEXEC', 1 );
$path = substr($_SERVER['SCRIPT_FILENAME'], 0, strpos($_SERVER['SCRIPT_FILENAME'], "administrator")-1);
// $path = substr($path, strripos($path, "/")+1);

define('JPATH_BASE', $path.'/');
define( 'DS', DIRECTORY_SEPARATOR );

require_once ( JPATH_BASE .'includes/defines.php' );
require_once ( JPATH_BASE .'includes/framework.php' );
require_once ( JPATH_BASE .'configuration.php' );
include_once ('image.class.php');
$mainframe =& JFactory::getApplication('administrator');
JDEBUG ? $_PROFILER->mark( 'afterLoad' ) : null;
$jconfig = new JConfig();
$db =& JFactory::getDBO();
define('JPATH_RELBASE', substr(JURI::base(), 0, strpos(JURI::base(), "administrator")));

$tcounter = 0;
$pcounter = 0;

// Get Language
$lang = $_POST['lang'];
$langpath = JPATH_BASE."administrator";
$language =& JFactory::getLanguage();
$language->load('com_fdportfolioce', $langpath, $lang, true);

//Split up the articles
$articles = $_POST['articles'];
$articles = explode(",",$articles);

// Get the Params
$tw = $_POST['tw'];
$th = $_POST['th'];
$iwidth = $_POST['iwidth']*0.6;
$dheight = $_POST['dheight']-35;

// Get the Introtext and strip out the images
foreach ($articles as $article){
    $query = "SELECT introtext FROM #__content WHERE state=1 AND id=".$article;
    $db->setQuery($query);
    $introtext = $db->loadResult();
    $fdnewcontent = $introtext;
    $fdImageCount = 0;
    $tcreated = 0;
    while(strpos($fdnewcontent, "<img")!==false){
        $imgstart = strpos($fdnewcontent, "<img");
        $fdnewcontent = substr($fdnewcontent, $imgstart);
        $imgend = strpos($fdnewcontent, "/>")+2;
        $fdimage = substr($fdnewcontent, 0, $imgend);
        $fdnewcontent = substr($fdnewcontent, $imgend);
        $fdalttag = substr($fdimage, strpos($fdimage, "title=")+7);
        $fdalttag = substr($fdalttag, 0, strpos($fdalttag, '"'));
        $src = substr($fdimage, strpos($fdimage, "src=")+5);
        $src = substr($src, 0, strpos($src, '"'));
        if(strpos($fdimage, 'class="fdImage"')!==false){
            $fdimage = JPATH_RELBASE.$src;
            // Check for all or only new ones
            if($_POST['all'] == 0){
                // Check for existing thumbnail
                if (!file_exists(JPATH_BASE.'images/fdthumbs/'.$article.'.jpg')){
                    $result = createThumb(JPATH_BASE. substr(substr( $fdimage, 0, strrpos($fdimage, "/")+1), strpos($fdimage, "/images")+1),
                                 substr( $fdimage, strrpos($fdimage, "/")+1),
                                 JPATH_BASE.'images/fdthumbs/',
                                 $article.'.jpg',
                                 90,
                                 $tw,
                                 $th
                               );
                    $tcounter++;
                    $tcreated = 1;
                }

                // Check for existing Portfolio Images
                if (!file_exists(JPATH_BASE.'images/fdthumbs/'.$article.'_p'.$fdImageCount.'.jpg')){
                    $result = createThumb(JPATH_BASE. substr(substr( $fdimage, 0, strrpos($fdimage, "/")+1), strpos($fdimage, "/images")+1),
                                 substr( $fdimage, strrpos($fdimage, "/")+1),
                                 JPATH_BASE.'images/fdthumbs/',
                                 $article.'_p'.$fdImageCount.'.jpg',
                                 90,
                                 $iwidth,
                                 $dheight
                               );
                    $pcounter++;
                }
            } else {
                if ($tcreated == 0){
                    $result = createThumb(JPATH_BASE. substr(substr( $fdimage, 0, strrpos($fdimage, "/")+1), strpos($fdimage, "/images")+1),
                                 substr( $fdimage, strrpos($fdimage, "/")+1),
                                 JPATH_BASE.'images/fdthumbs/',
                                 $article.'.jpg',
                                 90,
                                 $tw,
                                 $th
                               );
                    $tcounter++;
                    $tcreated = 1;
                }

                $result = createThumb( JPATH_BASE. substr(substr( $fdimage, 0, strrpos($fdimage, "/")+1), strpos($fdimage, "/images")+1),
                             substr( $fdimage, strrpos($fdimage, "/")+1),
                             JPATH_BASE.'images/fdthumbs/',
                             $article.'_p'.$fdImageCount.'.jpg',
                             90,
                             $iwidth,
                             $dheight
                           );
                $pcounter++;
            }

            $fdImageCount++;
        }
    }
    // echo $article;
}

echo JText::_( 'FDTHUMBSRET1' ) . " " . $tcounter . " " . JText::_( 'FDTHUMBSRET2' ) . " " . JText::_( 'FDTHUMBSRET3' ) . " " . $pcounter . " " . JText::_( 'FDTHUMBSRET4' );

function createThumb($images_folder, $src, $thumbs_folder, $dest, $quali, $max_x, $max_y){
    $save_to_file = true;
    $from_name = $src;
    $to_name = $dest;
    $image_quality = $quali;
    $image_type = 2;
    ini_set('memory_limit', '-1');    
    $img = new Zubrag_image;
    // initialize
    $img->max_x        = $max_x;
    $img->max_y        = $max_y;
    $img->cut_x        = $cut_x;
    $img->cut_y        = $cut_y;
    $img->quality      = $image_quality;
    $img->save_to_file = $save_to_file;
    $img->image_type   = $image_type;

    // generate thumbnail
    $img->GenerateThumbFile($images_folder . $from_name, $thumbs_folder . $to_name);
    return this;
}

?>