<?php
/**
 * 40° Model for Fdportfolio Component
 * 
 * @package    Fdportfolio
 * @subpackage com_fdportfolio
 * @license  GNU/GPL v2
 * @author Lars Eggert - 40° www.fourty-degrees.com
 * *
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * Fdportfolioce Model
 *
 * @package    Joomla.Components
 * @subpackage 	Fdportfolioce
 */
class FdportfolioceModelFdportfoliothumbs extends JModel{
	/**
	 * Constructor that retrieves the ID from the request
	 *
	 * @access	public
	 * @return	void
	 */

        private $_params;
        private $_articles;

	function __construct(){
		parent::__construct();

	}

        function getParamsFD(){
            // Get the parameters of the active menu item
            // $app = JFactory::getApplication();
            // $params = $app->getParams();
            if(defined('JVERSION')) {
                    $j16 = version_compare(JVERSION,'1.6.0','ge');
            } else {
                    $j16 = false;
            }
            $db =& JFactory::getDBO();

            if (!$j16){
                $query="SELECT params from #__components WHERE type='component' AND element='com_fdportfolioce'";
                $db->setQuery($query);
                $parameters = $db->loadResult();
                $parameters = str_replace("\r","",$parameters);
                $parameters = explode("\n", $parameters);
                $params = array();
                foreach($parameters as $parameter){
                    list($key, $value) = explode('=', $parameter, 2);
                    $key = trim($key);
                    $value = trim($value);
                    $params[$key] = $value;
                }
            } else {
                $query="SELECT params from #__extensions WHERE type='component' AND element='com_fdportfolioce'";
                $db->setQuery($query);
                $params = $db->loadResult();
                $params = json_decode($params, true);
            }

            $this->_params->cat1 = $params['category1'];
            $this->_params->theight = $params['theight'];
            $this->_params->twidth = $params['twidth'];
            $this->_params->columns = $params['columns'];
            $this->_params->rows = $params['rows'];
            $this->_params->piwidth = $params['piwidth'];
            $this->_params->powidth = $params['powidth'];
            $this->_params->dheight = $params['dheight'];

            return $this->_params;

        }

       function getArticles(){
            if(defined('JVERSION')) {
                    $j16 = version_compare(JVERSION,'1.6.0','ge');
            } else {
                    $j16 = false;
            }
            $db =& JFactory::getDBO();

            if (!$j16){
                $query="SELECT params from #__components WHERE type='component' AND element='com_fdportfolioce'";
                $db->setQuery($query);
                $parameters = $db->loadResult();
                $parameters = str_replace("\r","",$parameters);
                $parameters = explode("\n", $parameters);
                $params = array();
                foreach($parameters as $parameter){
                    list($key, $value) = explode('=', $parameter, 2);
                    $key = trim($key);
                    $value = trim($value);
                    $params[$key] = $value;
                }
            } else {
                $query="SELECT params from #__extensions WHERE type='component' AND element='com_fdportfolioce'";
                $db->setQuery($query);
                $params = $db->loadResult();
                $params = json_decode($params, true);
            }

            // Exclude Uncategoriced ones
            $query="SELECT title from #__categories WHERE id=".$params['category1'];
            $db->setQuery($query);
            $cat1 = $db->loadResult();
            ($cat1 == "Uncategorised") ? $cat1 = -1 : $cat1 = $params['category1'];

            // $query = "SELECT id, title, introtext, catid, `fulltext`, ordering FROM #__content WHERE state=1 AND catid=".$cat1." OR catid=".$cat2." OR catid=".$cat3." OR catid=".$cat4." ORDER BY catid, ordering DESC";
            $query = "SELECT id FROM #__content WHERE state=1 AND catid=".$cat1." ORDER BY catid, ordering ASC";
            $db->setQuery($query);
            $this->_articles =  $db->loadObjectList();
            return $this->_articles;
       }
}