<?php
/**
 * 40° fdporfolio Router
 *
 * @version     $Id$ 1.0.0 0
 * @package     Joomla 1.6
 * @copyright   Copyright (C) 2011  Lars Eggert / forty-degrees.com. All rights reserved.
 * @license  GNU/GPL v2
 *
 */

function fdportfolioceBuildRoute( &$query )
{
       if (!empty($query)) {
           $params = &JComponentHelper::getParams( 'com_fdportfolioce' );
           $db = JFactory::getDBO();
       }
       $segments = array();
       
       if(isset($query['view']))
       {
                $segments[] = $query['view'];
                unset( $query['view'] );
       }
       if(isset($query['cat']))
       {
                $segments[] = $query['cat'];
                if ($segments[1] != "-1"){
                    $catid = $params->get('category'.((int)$segments[1]+1));
                    $sqlquery = "SELECT `alias` FROM `#__categories` WHERE id=".(int)$catid;
                    $db->setQuery($sqlquery);
                    $cat = $db->loadResult();
                } else {
                    $cat = "all";
                }
                $segments[1] = $cat;
                unset( $query['cat'] );
       }
       return $segments;
}

function fdportfolioceParseRoute( $segments )
{
       if (!empty($segments)) {
           $params = &JComponentHelper::getParams( 'com_fdportfolioce' );
           $db = JFactory::getDBO();
       }
       $params = json_decode($params);
       $vars = array();
       $category = '';
       $segment = str_replace(":", "-", $segments[1]);
       $sqlquery = "SELECT `id` FROM `#__categories` WHERE alias = '$segment'";
       $db->setQuery($sqlquery);
       $catid = $db->loadResult();
       foreach ($params AS $key => $value) {
           if ($value == $catid && substr($key, 0, 8) == "category") {
               $category = substr($key, 8, 1);
           }
       }
       if(empty($category)) $category = "-1";

       switch($category) {           
           case '-1':
               $vars['cat'] = '-1';
               break;
           case '1':
               $vars['cat'] = '0';
               break;
           case '2':
               $vars['cat'] = '1';
               break;
           case '3':
               $vars['cat'] = '2';
               break;
           case '4':
               $vars['cat'] = '3';
               break;
       }
       return $vars;
}
?>