<?php
/**
 * @package    Fdportfolioce
 * @subpackage com_fdportfolioce
  * Copyright (C) 2011  Lars Eggert / forty-degrees.com
 *
 * @version     $Id$ 1.0.5
 * @package     Joomla 1.6
 * @copyright   Copyright (C) 2011  Lars Eggert / forty-degrees.com. All rights reserved.
 * @license  GNU/GPL v2
 *
 * All rights reserved.
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_fdportfolioce')){
	return JError::raiseWarning(404, JText::_( 'JERROR_ALERTNOAUTHOR' ));
}

// Require the base controller
require_once( JPATH_COMPONENT.DS.'controller.php' );

$controllers = explode(',', 'fdportfolio,fdportfoliothumbs');
if(!JRequest::getWord('controller')){
	JRequest::setVar( 'controller', $controllers[0] );
}
foreach($controllers as $controller){
	$link = JRoute::_("index.php?option=com_fdportfolioce&controller={$controller}");
	$selected = ($controller == JRequest::getWord('controller'));
	JSubMenuHelper::addEntry(JText::_( 'MENU' . $controller ), "index.php?option=com_fdportfolioce&controller={$controller}", ($controller == JRequest::getWord('controller')));
}
JRequest::setVar( 'view', JRequest::getWord('controller') );

// Require specific controller if requested; allways, in standard execution
if($controller = JRequest::getWord('controller')) {
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) {
		require_once $path;
	} else {
		$controller = '';
	}
}

// Create the controller
$classname	= 'FdportfolioceController'.$controller;
$controller	= new $classname( );

// Perform the Request task
$controller->execute( JRequest::getCmd( 'task' ) );

// Redirect if set by the controller
$controller->redirect();