var fdSubSlider = new Class({
    Implements: [Options,Events],

    options: {
        article: 0
    },

    pages: 0,
    fdSlides: [],
    cpage: 0,
    lpage: 0,
    src: "",
    title: "",
    fdDetails: [],
    sliding: 0,


    initialize: function(options) {
        var iwidth = parseInt($('iwidth').value);
        this.setOptions(options);
        this.cpage = 0;        
        var testClass = new RegExp("(^|\\s)" + 'fdportfoilimagecontainer' + "(\\s|$)");
	var tag = tag || "*";
	var elm = document.getElementById('fdportfoilimagewrapper'+this.options.article);
	var elements = (tag == "*" && elm.all)? elm.all : elm.getElementsByTagName(tag);
	var returnElements = [];
	var current;
	var length = elements.length;
	for(var i=0; i<length; i++){
		current = elements[i];
		if(testClass.test(current.className)){
			returnElements.push(current);
		}
	}

        this.fdSlides = returnElements;
        // this.fdSlides = $$('.fdportfoilimagecontainer');
        for(var i2 = 1; i2 < this.fdSlides.length ; i2++){
            $(this.fdSlides[i2].id).setStyles({'visibility': 'hidden', 'left': iwidth*0.6});
            // alert(this.fdSlides[i2].id);
        }

        if (this.fdSlides.length > 1) {
            $('fdportfoilleft'+this.options.article).setStyle('visibility', 'visible');
            $('fdportfoilright'+this.options.article).setStyle('visibility', 'visible');
        } else {
            $('fdportfoilleft'+this.options.article).setStyle('visibility', 'hidden');
            $('fdportfoilright'+this.options.article).setStyle('visibility', 'hidden');
        }
        this.lpage = this.fdSlides.length-1;

        // Set the first Image

        $('fdportfoilimagecontainer'+this.options.article+'img0').setStyles({'visibility': 'visible'});
        

        //Set the first Image Toolbar
        testClass = new RegExp("(^|\\s)" + 'fdimagetools' + "(\\s|$)");
	tag = tag || "*";
	elm = document.getElementById('fdportfoilimagewrapper'+this.options.article);
	elements = (tag == "*" && elm.all)? elm.all : elm.getElementsByTagName(tag);
	returnElements = [];
	length = elements.length;
	for(i=0; i<length; i++){
		current = elements[i];
		if(testClass.test(current.className)){
			returnElements.push(current);
		}
	}

        this.fdDetails = returnElements;
        // this.fdDetails = $$('.fdimagetools');
        for(i2 = 1; i2 < this.fdDetails.length ; i2++){
            $(this.fdDetails[i2].id).setStyle('opacity', '0');
        }

        this._attachEvents();        
    },

    _attachEvents: function(){
        this.nextEvent = function(){
            this._next();
        }.bind(this);
        $('fdportfoilright'+this.options.article).addEvent('click', this.nextEvent);

        this.prevEvent = function(){
            this._prev();
        }.bind(this);
        $('fdportfoilleft'+this.options.article).addEvent('click', this.prevEvent);
    },

    _next: function(){
        var iwidth = parseInt($('iwidth').value);
        if (this.sliding == 0){
            this.sliding = 1;
            var myarticle = this.options.article;
            var mycpage = this.cpage;
            // alert('article= ' +this.options.article+ ' cpage= '+ this.cpage + ' lpage= ' +this.lpage + ' mycpage= ' + mycpage);
            if (this.cpage != this.lpage){

                $('fdportfoilimagecontainer'+this.options.article+'img'+(this.cpage+1)).setStyle('left', iwidth*0.6);
                $('fdportfoilimagecontainer'+this.options.article+'img'+(this.cpage+1)).setStyle('visibility', 'visible');
//                var fxChain = new Fx.Morph($('fdportfoilimagecontainer'+this.options.article+'img'+(this.cpage+1)), {duration: 0});
//                fxChain.start({'left': iwidth*0.6}).chain(function(){
//                    $('fdportfoilimagecontainer'+this.options.article+'img'+(mycpage+1)).setStyle('visibility', 'visible');
//                }.bind(this));

                $('fdportfoilimagecontainer'+this.options.article+'img'+this.cpage).tween('left', -iwidth*0.6);
                $('fdimagetools'+this.options.article+'img'+this.cpage).morph({'opacity': 0});
                $('fdimagetools'+this.options.article+'img'+(this.cpage+1)).morph({'opacity': 1});
                var chain2 = new Fx.Morph('fdportfoilimagecontainer'+this.options.article+'img'+(this.cpage+1));

                chain2.start({'left':0
                }).chain(function(){
                    // alert("next " +mycpage);
                        $('fdportfoilimagecontainer'+myarticle+'img'+mycpage).setStyle('visibility', 'hidden');
                        this.sliding = 0;
                        this.cpage++;
                    }.bind(this));
                // this.cpage++;

            } else { // first page to proceed
                $('fdportfoilimagecontainer'+this.options.article+'img0').setStyle('left', iwidth*0.6);
                $('fdportfoilimagecontainer'+this.options.article+'img0').setStyle('visibility', 'visible');
                $('fdportfoilimagecontainer'+this.options.article+'img'+this.cpage).tween('left', -iwidth*0.6);
                $('fdimagetools'+this.options.article+'img'+this.cpage).morph({'opacity': 0});
                $('fdimagetools'+this.options.article+'img0').morph({'opacity': 1});
                var chain2start = new Fx.Morph('fdportfoilimagecontainer'+this.options.article+'img0');

                chain2start.start({'left':0
                }).chain(function(){
                    // alert(mycpage);
                        $('fdportfoilimagecontainer'+myarticle+'img'+mycpage).setStyle('visibility', 'hidden');
                        this.sliding = 0;
                        this.cpage = 0;
                    }.bind(this));
                // this.cpage = 0;
            }
        }
    },

    _prev: function(){
        var iwidth = parseInt($('iwidth').value);
        if (this.sliding == 0){
            this.sliding = 1;
            var myarticle = this.options.article;
            var mycpage = this.cpage;
            if(this.cpage != 0){
                $('fdportfoilimagecontainer'+this.options.article+'img'+(this.cpage-1)).setStyle('left', -iwidth*0.6);
                $('fdportfoilimagecontainer'+this.options.article+'img'+(this.cpage-1)).setStyle('visibility', 'visible');
                $('fdportfoilimagecontainer'+this.options.article+'img'+this.cpage).tween('left', iwidth*0.6);
                $('fdimagetools'+this.options.article+'img'+this.cpage).morph({'opacity': 0});
                $('fdimagetools'+this.options.article+'img'+(this.cpage-1)).morph({'opacity': 1});
                var chain2 = new Fx.Morph('fdportfoilimagecontainer'+this.options.article+'img'+(this.cpage-1));

                chain2.start({'left':0
                }).chain(function(){
                        $('fdportfoilimagecontainer'+myarticle+'img'+mycpage).setStyle('visibility', 'hidden');
                        this.sliding = 0;
                        this.cpage--;
                    }.bind(this));
            } else { // last page to proceed
                $('fdportfoilimagecontainer'+this.options.article+'img'+(this.lpage)).setStyle('left', -iwidth*0.6);
                $('fdportfoilimagecontainer'+this.options.article+'img'+(this.lpage)).setStyle('visibility', 'visible');
                $('fdportfoilimagecontainer'+this.options.article+'img'+this.cpage).tween('left', iwidth*0.6);
                $('fdimagetools'+this.options.article+'img'+this.cpage).morph({'opacity': 0});
                $('fdimagetools'+this.options.article+'img'+(this.lpage)).morph({'opacity': 1});
                var chain2end = new Fx.Morph('fdportfoilimagecontainer'+this.options.article+'img'+(this.lpage));

                chain2end.start({'left':0
                }).chain(function(){
                        $('fdportfoilimagecontainer'+myarticle+'img'+mycpage).setStyle('visibility', 'hidden');
                        this.sliding = 0;
                        this.cpage = this.lpage;
                    }.bind(this));
            }
        }
    }
});

