<?php
/**
 * 40° Model for Fdporftfolio Component
 * 
 * @version     $Id$ 1.0.0 0
 * @package     Joomla 1.6
 * @copyright   Copyright (C) 2011  Lars Eggert / forty-degrees.com. All rights reserved.
 * @license  GNU/GPL v2
 *
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

/**
 * Fdportfolio Model
 *
 * @package    Joomla.Components
 * @subpackage 	Fdportfolio
 */
class FdportfolioceModelFdportfolio extends JModel{
	/**
	 * Fdportfolio data array for tmp store
	 *
	 * @var array
	 */

        private $_params;
        private $_acount;
        private $_articles;
        private $_cattitles;
	
	/**
	 * Gets the data
	 * @return mixed The data to be displayed to the user
	 */

        function getParamsFD(){
            $db =& JFactory::getDBO();
            // Get the parameters of the active menu item            
            if(FD_JVERSION == '16') {
                $app = JFactory::getApplication();
                $params = $app->getParams();
                $this->_params->cat1 = $params->get( 'category1' );
                $this->_params->height = $params->get( 'theight' );
                $this->_params->width = $params->get( 'twidth' );
                $this->_params->columns = $params->get( 'columns' );
                $this->_params->rows = $params->get( 'rows' );
                $this->_params->piwidth = $params->get( 'piwidth' );
                $this->_params->powidth = $params->get( 'powidth' );
                $this->_params->dheight = $params->get( 'dheight' );
                $this->_params->shadow = $params->get( 'shadow' );
            } else {
                // $params = &JComponentHelper::getParams( 'com_fdportfolio' );
                // $params->merge( new JParameter( &$row->params ) );
                
                $query="SELECT params from #__components WHERE `option`='com_fdportfolio' AND name='COM_FDPORTFOLIO'";
                $db->setQuery($query);
                $parameters = $db->loadResult();
                $parameters = str_replace("\r","",$parameters);
                $parameters = explode("\n", $parameters);
                $params = array();
                foreach($parameters as $parameter){
                    list($key, $value) = explode('=', $parameter, 2);
                    $key = trim($key);
                    $value = trim($value);
                    $params[$key] = $value;
                }
                $this->_params->cat1 = $params['category1'];
                $this->_params->height = $params['theight'];
                $this->_params->width = $params['twidth'];
                $this->_params->columns = $params['columns'];
                $this->_params->rows = $params['rows'];
                $this->_params->piwidth = $params['piwidth'];
                $this->_params->powidth = $params['powidth'];
                $this->_params->dheight = $params['dheight'];
                $this->_params->shadow = $params['shadow'];
            }

            return $this->_params;

        }

        function getArticleCount(){
            $db =& JFactory::getDBO();
            $app = JFactory::getApplication();
            $menu = &JSite::getMenu();
            $active = $menu->getActive();
            $menuparams = $menu->getParams($active->id);
            $menucat =  $menuparams->get('catid');

            if(FD_JVERSION == '16') {
                $params = $app->getParams();
            } else {
                $params = &JComponentHelper::getParams( 'com_fdportfolioce' );
                $params->merge( new JParameter( &$row->params ) );
            }
            
            $cat1 = ($params->get( 'category1' ) == 0) ? -1 : $params->get( 'category1' );

            if($_GET['cat'] != '-1' || ($_GET['cat'] == '' && $menucat != '-1')){
                $cat = $params->get( 'category'.($_GET['cat']+1) );
                $query = "SELECT COUNT(*) FROM #__content WHERE state=1 AND catid=".$cat;
            } else {
                $query = "SELECT COUNT(*) FROM #__content WHERE state=1 AND catid=".$cat1;
            }
            $db->setQuery($query);
            $this->_acount = $db->loadResult();
            return $this->_acount;
        }

        function getArticles(){
            $db =& JFactory::getDBO();
            $app = JFactory::getApplication();
            $menu = &JSite::getMenu();
            $active = $menu->getActive();
            $menuparams = $menu->getParams($active->id);
            $menucat =  $menuparams->get('catid');
            if(FD_JVERSION == '16') {
                $params = $app->getParams();
            } else {
                $params = &JComponentHelper::getParams( 'com_fdportfolioce' );
                $params->merge( new JParameter( &$row->params ) );
            }
            $cat1 = ($params->get( 'category1' ) == 0) ? -1 : $params->get( 'category1' );

            if($_GET['cat'] != '-1' || ($_GET['cat'] == '' && $menucat != '-1')){
                $cat = $params->get( 'category'.($_GET['cat']+1) );
                $query = "SELECT id, title, introtext, catid, `fulltext`, ordering FROM #__content WHERE state=1 AND catid=".$cat." ORDER BY catid, ordering ASC";
            } else {
                $query = "SELECT id, title, introtext, catid, `fulltext`, ordering FROM #__content WHERE state=1 AND catid=".$cat1." ORDER BY catid, ordering ASC";
            }
            $db->setQuery($query);
            $this->_articles =  $db->loadObjectList();
            return $this->_articles;
        }

        function getCatTitles(){
            $cattitles=array();
            $db =& JFactory::getDBO();
            $app = JFactory::getApplication();
            if(FD_JVERSION == '16') {
                $params = $app->getParams();
            } else {
                $params = &JComponentHelper::getParams( 'com_fdportfolioce' );
                $params->merge( new JParameter( &$row->params ) );
            }
            $query = "SELECT title FROM #__categories WHERE id=".$params->get( 'category1' );
            $db->setQuery($query);
            $cattitles[] = $db->loadResult();            
            $this->_cattitles = $cattitles;
            return $this->_cattitles;
        }
}
